package com.sifang.modules.htySap.vo;


import java.util.List;

/**
 * {"IR_BANFN":[],"IV_SYS":"PMS","IR_ERDAT":[{"HIGH":"","LOW":"2024-01-08","OPTION":"GE","SIGN":"I"}],"IR_EKORG":[],"IR_ZWERKS":[{"HIGH":"","LOW":"2400","OPTION":"EQ","SIGN":"I"}]}
 */
public class CgsqcsReq {

    private List<String> IR_BANFN;
    private String IV_SYS;
    private List<String> IR_EKORG;
    private List<IR_ERDAT> IR_ERDAT;
    private List<IR_ZWERKS> IR_ZWERKS;

    public static class IR_ERDAT {
        private String HIGH;
        private String LOW;
        private String OPTION;
        private String SIGN;

        public String getHIGH() {
            return HIGH;
        }

        public void setHIGH(String HIGH) {
            this.HIGH = HIGH;
        }

        public String getLOW() {
            return LOW;
        }

        public void setLOW(String LOW) {
            this.LOW = LOW;
        }

        public String getOPTION() {
            return OPTION;
        }

        public void setOPTION(String OPTION) {
            this.OPTION = OPTION;
        }

        public String getSIGN() {
            return SIGN;
        }

        public void setSIGN(String SIGN) {
            this.SIGN = SIGN;
        }
    }

    public static class IR_ZWERKS {
        private String HIGH;
        private String LOW;
        private String OPTION;
        private String SIGN;

        public String getHIGH() {
            return HIGH;
        }

        public void setHIGH(String HIGH) {
            this.HIGH = HIGH;
        }

        public String getLOW() {
            return LOW;
        }

        public void setLOW(String LOW) {
            this.LOW = LOW;
        }

        public String getOPTION() {
            return OPTION;
        }

        public void setOPTION(String OPTION) {
            this.OPTION = OPTION;
        }

        public String getSIGN() {
            return SIGN;
        }

        public void setSIGN(String SIGN) {
            this.SIGN = SIGN;
        }
    }

    public List<String> getIR_BANFN() {
        return IR_BANFN;
    }

    public void setIR_BANFN(List<String> IR_BANFN) {
        this.IR_BANFN = IR_BANFN;
    }

    public String getIV_SYS() {
        return IV_SYS;
    }

    public void setIV_SYS(String IV_SYS) {
        this.IV_SYS = IV_SYS;
    }

    public List<String> getIR_EKORG() {
        return IR_EKORG;
    }

    public void setIR_EKORG(List<String> IR_EKORG) {
        this.IR_EKORG = IR_EKORG;
    }

    public List<CgsqcsReq.IR_ERDAT> getIR_ERDAT() {
        return IR_ERDAT;
    }

    public void setIR_ERDAT(List<CgsqcsReq.IR_ERDAT> IR_ERDAT) {
        this.IR_ERDAT = IR_ERDAT;
    }

    public List<CgsqcsReq.IR_ZWERKS> getIR_ZWERKS() {
        return IR_ZWERKS;
    }

    public void setIR_ZWERKS(List<CgsqcsReq.IR_ZWERKS> IR_ZWERKS) {
        this.IR_ZWERKS = IR_ZWERKS;
    }
}
